
%global meadversion 0.1.0
%global namedversion 0.1.0.redhat-00027
%global meadalpha .redhat_00027
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00027

%{?scl:%scl_package opentracing-contrib-java-web-servlet-filter}
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 0.1.0.redhat-00027

Name:		    %{?scl_prefix}opentracing-contrib-java-web-servlet-filter
Summary:	    Support for integrating OpenTracing in Web Servlet projects
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source102: opentracing-web-servlet-filter-parent-0.1.0.redhat-00027-project-sources.tar.gz
Source103: opentracing-web-servlet-filter-0.1.0.redhat-00027-sources.jar
Source104: opentracing-web-servlet-filter-0.1.0.redhat-00027.jar
Source105: opentracing-web-servlet-filter-0.1.0.redhat-00027.pom
Source106: opentracing-web-servlet-filter-parent-0.1.0.redhat-00027.pom
Source107: opentracing-web-servlet-filter-0.1.0.redhat-00027-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://github.com/opentracing-contrib/java-web-servlet-filter
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for opentracing-contrib-java-web-servlet-filter
Group:          Development/Java


%description javadoc
Javadoc for opentracing-contrib-java-web-servlet-filter
%endif

%prep

%if 0
%setup -q -n opentracing-contrib-java-web-servlet-filter -T -b 100
%endif

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/opentracing-web-servlet-filter-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/opentracing-web-servlet-filter-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/opentracing-contrib-java-web-servlet-filter-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/opentracing-web-servlet-filter-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/opentracing-contrib-java-web-servlet-filter-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s opentracing-contrib-java-web-servlet-filter-%{namedversion} opentracing-contrib-java-web-servlet-filter)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc README.md
%endif

%{_javadir}/opentracing-web-servlet-filter-%{namedversion}.jar
%{_javadir}/opentracing-web-servlet-filter.jar
%{_javadir}/opentracing-web-servlet-filter-%{namedversion}-sources.jar
%{_javadir}/opentracing-web-servlet-filter-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/opentracing-contrib-java-web-servlet-filter
%{_javadocdir}/opentracing-contrib-java-web-servlet-filter-%{namedversion}
%endif

%changelog
* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.0-1.redhat_00027.1
-  0.1.0.redhat-00027 

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.0.redhat-00027
- Init build
